import React from 'react';
import { Radio, Icon, Button, Cascader, Input, Select, Tabs, Spin, Popconfirm, Table, Switch, message, DatePicker, Modal, Upload, Form, Row, Col } from 'antd';
import ajax from 'jquery/src/ajax/xhr.js';
import $ from 'jquery/src/ajax';
import moment from 'moment';
import './myClient.less';
import { citySelect, provinceList, areaSelect } from '../../../areaList';
import {getProvinceList} from '../../../addressList';
const { Column, ColumnGroup } = Table;
const TabPane = Tabs.TabPane;
const monthFormat = 'YYYY/MM';
import CustomerDetail from './myClientDesc.jsx';
import { socialAttribute, industry, auditStatusL, newFollow, lvl, currentMember, statuslist, customerStatus, intentionalService } from '../../../dataDic.js';
import { getSocialAttribute, splitUrl,getAuditStatus, getCompanyIntention, getStatuslist, getContactType, getIndustryType, getfllowSituation, beforeUploadFile, getWhether, getcustomerStatue, getfllowSituationOn, getCertification, getcustomerTyp, getLvl, getCurrentMember, getprovince } from '../../../tools.js';

//图片组件
const PicturesWall = React.createClass({
	getInitialState() {
		return {
			previewVisible: false,
			previewImage: '',
			fileList: [],
		}
	},
	handleCancel() {
		this.setState({ previewVisible: false })
	},
	handlePreview(file) {
		this.setState({
			previewImage: file.url || file.thumbUrl,
			previewVisible: true,
		});
	},
	handleChange(info) {
		let fileList = info.fileList;
		this.setState({ fileList });
		this.props.fileList(fileList);
	},
	componentWillReceiveProps(nextProps) {
		this.state.fileList = nextProps.pictureUrl;
	},
	render() {
		const { previewVisible, previewImage, fileList } = this.state;
		const uploadButton = (
			<div>
                <Icon type="plus" />
                <div className="ant-upload-text">点击上传</div>
            </div>
		);
		return(
			<div style={{display:"inline-block"}}>
                <Upload
                    action={globalConfig.context + "/api/admin/customer/uploadCustomerImg"}
                    data={{ 'sign': '' }}
                    listType="picture-card"
                    fileList={fileList}
                    onPreview={this.handlePreview}
                    onChange={this.handleChange} >
                    {fileList.length >= 1 ? null : uploadButton}
                </Upload>
                <Modal maskClosable={false} visible={previewVisible} footer={null} onCancel={this.handleCancel}>
                    <img alt="example" style={{ width: '100%' }} src={previewImage} />
                </Modal>
            </div>
		);
	}
});

const QueryCustomer = Form.create()(React.createClass({
	 //获取分配人员
    selectSuperId() {  
    	this.state.data = []
         $.ajax({
                method: "post",
                dataType: "json",
                crossDomain: false,
                url: globalConfig.context + "/api/admin/customer/findAdminName",
                data:{
                  
                },
                success: function (data) {                	  
                		let theArr = [];
					    let thedata=data.data;
					    if (!thedata) {
		                    if (data.error && data.error.length) {
		                        message.warning(data.error[0].message);
		                    };	
		                    thedata = {}; 
		              };   
					    var contactIds=[];
				        //for (let item in data.data) {
				        	for(var i=0;i<data.data.length;i++){
		                    let theData = data.data[i];
		                    theArr.push(
		                        <Select.Option value={i.toString()} key={theData.adminName}>{theData.adminName}</Select.Option>
		                    );
		                };
						this.setState({	
							SuperArr:thedata,
		                    contactsOption: theArr, 
		                    orderStatusOptions:data.data,
	                    });
	                    
					}.bind(this),
				}).always(function () {
				this.setState({
	                loading: false
	            });
	        }.bind(this));
	},
	loadData(pageNo, apiUrl) {
		this.state.data = [];
		this.setState({
			loading: true,
			ispage:pageNo,
		});
		$.ajax({
			method: "post",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/listPublicPersonalCustomer',
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.pagination.pageSize,
				type: this.state.typeSearch, //名称1   
				name: this.state.nameSearch,
				province: !(this.state.addressSearch).length ? this.state.provinceSearch : this.state.addressSearch[0],
				city: !(this.state.addressSearch).length ? '' : this.state.addressSearch[1],
				status: this.state.statusSearch,
				industry: this.state.industrySearch,
				businessAudit: this.state.serviceCertificationSearch,
				auditStatus: this.state.userCertificationSearch,
				currentMemberStatus: this.state.currentMemberStatusSearch,
				lvl: this.state.lvlSearch,
				listed: this.state.listedSearch, //是否上市
				highTechZone: this.state.highTechZoneSearch, //是否高新
				startDate: this.state.releaseDate[0],
				endDate: this.state.releaseDate[1],
				isMember: this.state.isMemberSearch,
				international: this.state.internationalSearch,
				celebrity: this.state.celebritySearch,
				expert: this.state.expertSearch,
				industry: this.state.industrySearch,
				shareType: this.state.shareTypeSearch,
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						theArr.push({
							key: i,
							id: thisdata.uid,
							type: thisdata.type,
							name: thisdata.name,
							status: thisdata.status,
							contacts: thisdata.contacts,
							contactMobile: thisdata.contactMobile,
							industry: thisdata.industry,
							createTime: thisdata.createTime,
							businessAudit: thisdata.businessAudit,
							auditStatus: thisdata.auditStatus,
							lvl: thisdata.lvl,
							shareType: thisdata.shareType,
							isMember: thisdata.isMember,
							consultant: thisdata.consultant,
							societyTag: thisdata.societyTag,
							currentMemberStatus: thisdata.currentMemberStatus,
							international: thisdata.international,
							listed: thisdata.listed,
							international: thisdata.international,
							expert: thisdata.expert,
							celebrity: thisdata.celebrity,
							adminName: thisdata.adminName,
							highTechZone: thisdata.highTechZone,
							locationProvince: thisdata.province ? thisdata.province + '-' + thisdata.city || '' + '-' + thisdata.area : '--'
						});
					};
					this.state.pagination.current = data.data.pageNo ;
					this.state.pagination.total = data.data.totalCount ;
				};
				if(!data.data.list.length){
					this.state.pagination.current=0
					this.state.pagination.total=0
				}
				this.setState({
					dataSource: theArr,
					pagination: this.state.pagination,
					selectedRowKeys:[]
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},

	//点击出现函数
	setModal2VisibleOk(e) {
		this.setState({
			modal2Visible: true
		});

	},
	//点击消失函数
	setModal2Visiblecancel(e) {
		this.setState({
			modal2Visible: false
		});
	},
	getPictureUrl(e) {
		this.setState({ pictureUrl: e });
	},

	handleOk(e) {
		this.setState({
			visible: false,
		});
	},
	handleCancel(e) {
		this.setState({
			visible: false,
		});
	},
	getInitialState() {
		return {
			addressSearch: [],
			positiveIdUrl: [],
			oppositeIdUrl: [],
			headPortraitUrl: [],
			visible: false,
			searchMore: true,
			releaseDate: [],
			releaseDate: [],
			selectedRowKeys: [],
			selectedRowKey: [],
			selectedRows: [],
			loading: false,
			pagination: {
				defaultCurrent: 1,
				defaultPageSize: 10,
				showQuickJumper: true,
				pageSize: 10,
				onChange: function(page) {
					this.loadData(page);
				}.bind(this),
				showTotal: function(total) {
					return '共' + total + '条数据';
				}
			},
			paginations: {
				defaultCurrent: 1,
				defaultPageSize: 10,
				showQuickJumper: true,
				pageSize: 10,
				onChange: function(page) {
					this.loadVisit(page);
				}.bind(this),
				showTotal: function(total) {
					return '共' + total + '条数据';
				}
			},
			paginationsy: {
				defaultCurrent: 1,
				defaultPageSize: 10,
				showQuickJumper: true,
				pageSize: 10,
				onChange: function(page) {
					this.loadBfVisit(page, false);
				}.bind(this),
				showTotal: function(total) {
					return '共' + total + '条数据';
				}
			},
			paginationt: {
				defaultCurrent: 1,
				defaultPageSize: 10,
				showQuickJumper: true,
				pageSize: 10,
				onChange: function(page) {
					this.BusinessList(page, false);
				}.bind(this),
				showTotal: function(total) {
					return '共' + total + '条数据';
				}
			},
			//业务意向列表
			intentionList: [{
					title: '业务名称',
					dataIndex: 'businessGlossoryId',
					key: 'businessGlossoryId',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Select  placeholder="选择业务名称" disabled={record.id?true:false} value={record.businessGlossoryId}  onChange={(e) => { record.businessGlossoryId = e; this.setState({ data: this.state.data }); }}>
                                    {
                                        intentionalService.map(function (item) {
                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
                                        })
                                    }
                               </Select> : <span>{getCompanyIntention(text)}</span>
					}
				},
				{
					title: '最新进度',
					dataIndex: 'followSituation',
					key: 'followSituation',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Select  placeholder="选择最新进度" value={record.followSituation}  onChange={(e) => { record.followSituation = e; this.setState({ data: this.state.data }); }}>
                                    {
                                        newFollow.map(function (item) {
                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
                                        })
                                    }
                               </Select> : <span>{getfllowSituation(text)}</span>
					}
				}, {
					title: '最新状态',
					dataIndex: 'customerStatus',
					key: 'customerStatus',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Select value={record.customerStatus} placeholder="选择最新状态" onChange={(e) => { record.customerStatus = e; this.setState({ data: this.state.data }); }}>
                                    {
                                        customerStatus.map(function (item) {
                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
                                        })
                                    }
                               </Select> : <span>{getcustomerStatue(text)}</span>
					}
				}, {
					title: '跟进说明',
					dataIndex: 'remarks',
					key: 'remarks',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.remarks} placeholder="跟进说明" 
	                             onChange={(e) => { record.remarks = e.target.value; this.setState({ data: this.state.data }); }}
	                             style={{width:'120px'}}/> : <span>{text}</span>
					}
				}, {
					title: '操作',
					dataIndex: 'rrr',
					key: 'rrr',
					render: (text, record, index) => {
						return <div style={{display:adminData.isSuperAdmin?'inline-block':'none'}}>
                            <Popconfirm title="是否删除?" onConfirm={(e)=>{this.intentionDelet(record,index)}} okText="删除" cancelText="不删除">
							    <Button style={{marginRight:'10px',color:'#ffffff',background:'#f00',border:'none'}}>删除</Button>
							</Popconfirm>
                        </div>
					}
				}
			],
			businessIntentionList: [{
				title: '意向时间',
				dataIndex: 'createTime',
				key: 'createTime'
			}, {
				title: '客户姓名',
				dataIndex: 'identifyName',
				key: 'identifyName'
			}, {
				title: '业务名',
				dataIndex: 'businessName',
				key: 'businessName'
			}, {
				title: '营销员',
				dataIndex: 'adminName',
				key: 'adminName'
			}, {
				title: '业务意向进度',
				dataIndex: 'followSituation',
				key: 'followSituation',
				render: text => { return getfllowSituation(text) }
			}, {
				title: '客户状态',
				dataIndex: 'customerStatus',
				key: 'customerStatus',
				render: text => { return getcustomerStatue(text) }
			}, {
				title: '操作',
				dataIndex: 'ooo',
				key: 'ooo',
				render: (text, record) => { return(<Button onClick={(e)=>{this.businessIntentionDetails(record)}}>查看</Button>) }
			}],
			businessFollowList: [{
					title: '跟进时间',
					dataIndex: 'followTime',
					key: 'followTime',
				}, {
					title: '营销员',
					dataIndex: 'adminName',
					key: 'adminName',
				}, {
					title: '业务意向进度',
					dataIndex: 'followSituation',
					key: 'followSituation',
					render: text => { return getfllowSituation(text) }
				}, {
					title: '客户状态',
					dataIndex: 'customerStatus',
					key: 'customerStatus',
					render: text => { return getcustomerStatue(text) }
				},
				{
					title: '拜访方式',
					dataIndex: 'contactType',
					key: 'contactType',
					render: text => { return getContactType(text) }
				}, {
					title: '联系人',
					dataIndex: 'contacts',
					key: 'contacts',
				},
				{
					title: '联系电话',
					dataIndex: 'contactMobile',
					key: 'contactMobile',
				}, {
					title: '操作',
					dataIndex: 'ooo',
					key: 'ooo',
					render: (text, record) => { return(<Button onClick={(e)=>{this.businessFollowDetails(record)}}>查看</Button>) }
				}
			],
			visitsList: [{
				title: '拜访时间',
				dataIndex: 'followTime',
				key: 'followTime'
			}, {
				title: '客户姓名',
				dataIndex: 'identifyName',
				key: 'identifyName'
			}, {
				title: '拜访方式',
				dataIndex: 'contactType',
				key: 'contactType',
				render: text => { return getContactType(text) }
			}, {
				title: '联系人',
				dataIndex: 'contacts',
				key: 'contacts'
			}, {
				title: '联系电话',
				dataIndex: 'contactMobile',
				key: 'contactMobile'
			}, {
				title: '拜访人',
				dataIndex: 'adminName',
				key: 'adminName'
			}, {
				title: '拜访说明',
				dataIndex: 'result',
				key: 'result',
				render: text => {
					return <span style={{width:'150px',display:'inline-block',overflow:'hidden'}}>{text}</span>
				}
			}, {
				title: '操作',
				dataIndex: 'ttt',
				key: 'ttt',
				render: (text, record, index) => {
					return adminData.isSuperAdmin ? <div>
                            <Popconfirm title="是否删除?" onConfirm={(e)=>{this.visitDelet(record)}} okText="删除" cancelText="不删除">
							    <Button style={{marginRight:'10px',color:'#ffffff',background:'#f00',border:'none'}} onClick={(e)=>{e.stopPropagation()}}>删除</Button>
							</Popconfirm>
                        </div> : <span></span>
				}
			}],

			ContactsLists: [{
					title: '姓名',
					dataIndex: 'name',
					key: 'name',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.name} placeholder="姓名" key={record.id}
	                           onChange={(e) => { record.name = e.target.value; 
	                           	this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/> : <span>{text}</span>
					}
				}, {
					title: '联系人部门',
					dataIndex: 'depatrment',
					key: 'depatrment',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.depatrment} placeholder="联系人部门" key={record.id}
	                   onChange={(e) => { record.depatrment = e.target.value; this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/> : <span>{text}</span>
					}
				}, {
					title: '联系人职务',
					dataIndex: 'position',
					key: 'position',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.position} placeholder="联系人职务" key={record.id}
	                  onChange={(e) => { record.position = e.target.value; this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/> : <span>{text}</span>
					}
				}, {
					title: '手机号码',
					dataIndex: 'mobile',
					key: 'mobile',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.mobile} placeholder="手机号码" key={record.id}
	                  onChange={(e) => { record.mobile = e.target.value; this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/> : <span>{text}</span>
					}
				}, {
					title: '微信',
					dataIndex: 'wechat',
					key: 'wechat',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.wechat} placeholder="微信" key={record.id}
	                  onChange={(e) => { record.wechat = e.target.value; this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/> : <span>{text}</span>
					}
				}, {
					title: '联系人QQ',
					dataIndex: 'qq',
					key: 'qq',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.qq} placeholder="联系人QQ" key={record.id}
	                  onChange={(e) => { record.qq = e.target.value; this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/> : <span>{text}</span>
					}
				}, {
					title: '电子邮箱',
					dataIndex: 'email',
					key: 'email',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <Input value={record.email} placeholder="电子邮箱" key={record.id}
	                  onChange={(e) => { record.email = e.target.value; this.setState({ contactList: this.state.contactList }); }} style={{width:'120px'}}/> : <span>{text}</span>
					}
				},
				{
					title: '操作',
					dataIndex: 'dels',
					key: 'dels',
					render: (text, record, index) => {
						return adminData.isSuperAdmin ? <div>
                            <Popconfirm title="是否删除?" onConfirm={(e)=>{this.confirmDelet(record)}} okText="删除" cancelText="不删除">
							    <Button style={{marginRight:'10px',color:'#ffffff',background:'#f00',border:'none'}}>删除</Button>
							</Popconfirm>
                        </div> : <span>无权限</span>
					}
				}
			],
			columnsman: [{
				title: '姓名',
				dataIndex: 'name',
				key: 'name'
			}, {
				title: '手机号码',
				dataIndex: 'mobile',
				key: 'mobile'
			}],
			columns: [{
					title: '客户姓名',
					dataIndex: 'name',
					key: 'name',
				}, {
					title: '地区',
					dataIndex: 'locationProvince',
					key: 'locationProvince',
				},
				{
					title: '公共客户',
					dataIndex: 'shareType',
					key: 'shareType',
					render: (text, record) => { return record.shareType == '1' ? <span>公共客户</span> : <span>个人客户</span> }
				},
				{
					title: '行业',
					dataIndex: 'industry',
					key: 'industry',
				},
				{
					title: '社会性质',
					dataIndex: 'societyTag',
					key: 'societyTag',
					render: text => { return getSocialAttribute(text) }
				},
				{
					title: '创建时间',
					dataIndex: 'createTime',
					key: 'createTime',
				},{
					title: '所属人',
					dataIndex: 'adminName',
					key: 'adminName',
				},
				{
					title: '业务认证',
					dataIndex: 'businessAudit',
					key: 'businessAudit',
					render: text => { return getCertification(text) }
				},
				{
					title: '实名认证',
					dataIndex: 'auditStatus',
					key: 'auditStatus',
					render: text => { return getAuditStatus(text) }
				},
				{
					title: '是否专家',
					dataIndex: 'expert',
					key: 'expert',
					render: text => { return getWhether(text) }

				},
				{
					title: '是否会员',
					dataIndex: 'isMember',
					key: 'isMember',
					render: text => { return getWhether(text) }
				},
				{
					title: '是否国际',
					dataIndex: 'international',
					key: 'international',
					render: text => { return getWhether(text) }
				},
				{
					title: '会员等级',
					dataIndex: 'lvl',
					key: 'lvl',
					render: text => { return getLvl(text) }
				},
				{
					title: '会员状态',
					dataIndex: 'currentMemberStatus',
					key: 'currentMemberStatus',
					render: text => { return getCurrentMember(text) }
				},
				{
					title: '状态',
					dataIndex: 'status',
					key: 'status',
					render: text => { return getStatuslist(text) }
				}
			],
			data: [],
			dataman: [],
			dataSource: [],
			visitArrList: [],
			searchTime: [, ]
		};
	},

	//更多操作
	ModalOperation() {
		this.setState({
			visible: true,
		});
	},
	//tab2获取联系人详情
	contactLists(ids) {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/findCustomerContacts',
			data: {
				uid: ids, //名称1
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.length; i++) {
						let thisdata = data.data[i];
						theArr.push({
							id: thisdata.id,
							name: thisdata.name,
							mobile: thisdata.mobile,
							email: thisdata.email,
							qq: thisdata.qq,
							wechat: thisdata.wechat,
							depatrment: thisdata.depatrment,
							position: thisdata.position,
						});
					};

				};
				this.setState({
					contactList: theArr,
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	//刷新新增拜访记录刷新
	deletelist(e) {
		$.ajax({
			method: "get",
			dataType: "json",
			url: globalConfig.context + '/api/admin/customer/toAddFollow',
			data: {
				uid: e,
			},
			success: function(data) {
				let listArr = [];
				let thedata = data.data;
				if(!thedata) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thedata = {};
				};
				for(let i = 0; i < data.data.userBusinessList.length; i++) {
					let thisdata = data.data.userBusinessList[i];
					listArr.push({
						id: thisdata.id,
						businessGlossoryId: String(thisdata.businessGlossoryId),
						followSituation: String(thisdata.followSituation),
						customerStatus: String(thisdata.customerStatus),
						remarks: thisdata.remarks,
					});
				};
				this.setState({
					contacts: thedata.contacts,
					uid: thedata.uid,
					data: listArr,
					identifyName: thedata.identifyName,
					followTime: thedata.followTime,
					businessGlossoryId: thedata.businessGlossoryId,
					followSituation: thedata.followSituation,
					customerStatus: thedata.customerStatus,
					remarks: thedata.remarks,
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},

	//拜访记录删除
	visitDelet(e) {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + "/api/admin/customer/deleteFollow",
			data: {
				followId: e.followId, //删除的ID    
			}
		}).done(function(data) {
			if(!data.error.length) {
				message.success('删除成功！');
				this.setState({
					loading: false,
				});
			} else {
				message.warning(data.error[0].message);
			};
			this.loadVisit();
		}.bind(this));
	},
	//进入修改拜访记录  
	visitModify(e) {
		this.setState({
			visitModul: true,
			loading: true
		});
		$.ajax({
			method: "get",
			dataType: "json",
			url: globalConfig.context + '/api/admin/customer/toUpdateFollow',
			data: {
				followId: e,
			},
			success: function(data) {
				let theArr = [];
				let thedata = data.data;
				if(!thedata) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thedata = {};
				};

				for(let i = 0; i < data.data.userBusinessList.length; i++) {
					let thisdata = data.data.userBusinessList[i];
					theArr.push({
						id: thisdata.id,
						businessGlossoryId: String(thisdata.businessGlossoryId),
						followSituation: String(thisdata.followSituation),
						customerStatus: String(thisdata.customerStatus),
						remarks: thisdata.remarks,
					});
				};
				this.setState({
					followIds: thedata.followId,
					contacts: thedata.contacts,
					uid: thedata.uid,
					data: theArr,
					nub: thedata.contactMobile,
					result: thedata.result,
					contactType: parseInt(thedata.contactType),
					identifyName: thedata.identifyName,
					followTime: thedata.followTime,
					businessGlossoryId: thedata.businessGlossoryId,
					followSituation: thedata.followSituation,
					customerStatus: thedata.customerStatus,
					adminName: thedata.adminName,
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},

	//列表删除功能
	delectRow() {
		let deletedIds;
		for(let idx = 0; idx < this.state.selectedRows.length; idx++) {
			let rowItem = this.state.selectedRows[idx];
			if(rowItem.id) {
				deletedIds = rowItem.id;
			};
		};
		this.setState({
			selectedRowKeys: [],
		});
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + "/api/admin/customer/deleteCustomer",
			data: {
				uid: deletedIds, //删除的ID    
			}
		}).done(function(data) {
			if(!data.error.length) {
				message.success('删除成功！');
				this.setState({
					loading: false,
				});
			} else {
				message.warning(data.error[0].message);
			};
			this.loadData(this.state.ispage);
		}.bind(this));
	},
	getHeadPortraitUrl(e) {
		this.setState({ headPortraitUrl: e });
	},
	getPositiveIdUrl(e) {
		this.setState({ positiveIdUrl: e });
	},
	getOppositeIdUrl(e) {
		this.setState({ oppositeIdUrl: e });
	},
	componentWillMount() {
		let areaArr= getProvinceList();
		let Citys=citySelect(areaArr);
		let Areas=areaSelect(areaArr);
		this.setState({ 
			City: Citys,
			Area: Areas
		});
		this.selectSuperId();
		//城市
		let Province = [];
		areaArr.map(function(item) {
			var id = String(item.id)
			Province.push(
				<Select.Option value={id} key={item.name}>{item.name}</Select.Option>
			)
		});
		//行业
		let intentionalArr = [];
		industry.map(function(item) {
			intentionalArr.push(
				<Select.Option value={item.value} key={item.key}>{item.key}</Select.Option>
			)
		});
		//会员等级
		let lvlArr = [];
		lvl.map(function(item) {
			lvlArr.push(
				<Select.Option value={item.value} key={item.key}>{item.key}</Select.Option>
			)
		});
		//会员状态customerStatus
		let currentMemberArr = [];
		currentMember.map(function(item) {
			currentMemberArr.push(
				<Select.Option value={item.value} key={item.key}>{item.key}</Select.Option>
			)
		});
		//客户状态
		let customerStatusArr = [];
		customerStatus.map(function(item) {
			customerStatusArr.push(
				<Select.Option value={item.value} key={item.key}>{item.key}</Select.Option>
			)
		});
		this.state.Provinces = Province;
		this.state.intentionalOption = intentionalArr;
		this.state.lvlArrOption = lvlArr;
		this.state.currentMemberArrOption = currentMemberArr;
		this.state.customerStatusArrOption = customerStatusArr;
		this.loadData();
	},

	search() {
		this.loadData();
	},
	reset() {
		this.state.expertSearch = undefined;
		this.state.celebritySearch = undefined;
		this.state.shareTypeSearch = undefined;
		this.state.typeSearch = undefined; //名称1   
		this.state.nameSearch = '';
		this.state.addressSearch = [];
		this.state.provinceSearch = undefined;
		this.state.citySearch = undefined;
		this.state.statusSearch = undefined;
		this.state.contactsSearch = undefined;
		this.state.contactMobileSearch = undefined;
		this.state.industrySearch = undefined;
		this.state.serviceCertificationSearch = undefined;
		this.state.userCertificationSearch = undefined;
		this.state.currentMemberStatusSearch = undefined;
		this.state.lvlSearch = undefined;
		this.state.listedSearch = undefined;
		this.state.highTechZoneSearch = undefined;
		this.state.releaseDate[0] = undefined;
		this.state.releaseDate[1] = undefined;
		this.state.editSuperId=undefined;
		this.loadData();
	},
	searchSwitch() {
		this.setState({
			searchMore: !this.state.searchMore
		});
	},
	//详情保存函数
	detailsSubmint() {
		this.setState({
			modal5Visible: false,
		})
	},
	//整行点击
	tableRowClick(record, index) {
		this.selectSuperId();
		this.state.RowData = record;
		this.detailsModalOk(record);
		this.loadInformation(record.id)
		this.httpAccount(record.id);
		this.loadBfVisit(1, record.id);
		this.BusinessList(1, record.id);
		this.contactLists(record.id);
		this.setState({
			callnub:'1',
			selectedRowKeys: [],
			rowId: record.id,
			editSuperId:undefined,
		})
	},
	VisitRowClick(record, index) {
		this.state.keys = false;
		this.state.RowData = record;
		this.visitModify(record.followId);
		this.setState({
			selectedRowKeys: [],
			delectId: record.followId,
		})
	},
	//基本信息提交
	newSubmit(e) {
		e.preventDefault();
		if(!this.state.industry) {
			message.warning('请选择行业');
			return false;
		};
		if(!this.state.societyTag) {
			message.warning('请选择社会性质');
			return false;
		};
		if(!this.state.ProvinceCity[1]) {
			message.warning('请选择地区');
			return false;
		};
		var reg=/^[1-9]\d*$|^0$/;   
		if(this.state.consultationPrice){
			if(this.state.consultationPrice.length>6) {
				message.warning('咨询费用不超过6位数');
				this.refs.consul.focus();
				return false;
			};
			if(!reg.test(this.state.consultationPrice)){
				message.warning('咨询费用只能输入数字 ');
				this.refs.consul.focus();
				return false;
			}
		}
		
		this.setState({
			selectedRowKeys: [],
		});
		this.props.form.validateFields((err, values) => {
			let theorgCodeUrl = [];
			if(this.state.headPortraitUrl.length) {
				let picArr = [];
				this.state.headPortraitUrl.map(function(item) {
					if ( item.response && item.response.data && item.response.data.length ){
						picArr.push(item.response.data);
					}
				});
				theorgCodeUrl = picArr.join(",");
			};
			let thecompanyLogoUrl = [];
			if(this.state.positiveIdUrl.length) {
				let picArr = [];
				this.state.positiveIdUrl.map(function(item) {
					if ( item.response && item.response.data && item.response.data.length ){
						picArr.push(item.response.data);
					}
				});
				thecompanyLogoUrl = picArr.join(",");
			};
			let thecompanyLogoUrls = [];
			if(this.state.oppositeIdUrl.length) {
				let picArr = [];
				this.state.oppositeIdUrl.map(function(item) {
					if ( item.response && item.response.data && item.response.data.length ){
						picArr.push(item.response.data);
					}
				});
				thecompanyLogoUrls = picArr.join(",");
			};
			if(this.state.editSuperId){
				let nameText=this.state.SuperArr;
	            let superText=nameText[parseInt(this.state.editSuperId)].aid;
	            $.ajax({
						method: "post",
						dataType: "json",
						url: globalConfig.context + '/api/admin/customer/updatePersonalCustomerz',
						data: {
							id: this.state.InformationId,
							uid: this.state.InformationUid,
							aid:superText,
						}
					});
			}
			
            if(!err) {
				let years = [];
				let yearMonth = new Date(this.state.yearMonth).toLocaleDateString();
				years = yearMonth.split('/');
				this.setState({
					loading: true
				});
				
				$.ajax({
					method: "post",
					dataType: "json",
					url: globalConfig.context + '/api/admin/customer/updatePersonalCustomer',
					data: {
						id: this.state.InformationId,
						uid: this.state.InformationUid,
						societyTag: this.state.societyTag,
						identifyName: this.state.identifyName,
						industry: this.state.industry,
						dateOfBirthYear: years[0], //出生年
						dateOfBirthMonth: years[1], //出生月
						province: (this.state.ProvinceCity)[0], //省-
						city: (this.state.ProvinceCity)[1], //市
						area: (this.state.ProvinceCity)[2], //区
						sex: this.state.sex,
						expert: this.state.expert,
						celebrity: this.state.celebrity,
						international: this.state.international,
						fixedTel: this.state.fixedTel,
						consultationPrice: this.state.consultationPrice,
						qq: this.state.qq,
						contacts: this.state.contacts,
						contactMobile: this.state.contactMobile,
						idNumber: this.state.idNumber,
						email: this.state.email,
						isMember: this.state.isMember,
						consultant: this.state.consultant,
						postalAddress: this.state.postalAddress,
						introduction: this.state.introduction,
						positiveIdUrl: thecompanyLogoUrl,
						oppositeIdUrl: thecompanyLogoUrls,
						headPortraitUrl: theorgCodeUrl,
						investment: this.state.investment,
						professionalTitle: this.state.professionalTitle,
						workUnit: this.state.workUnit,
						education: this.state.education,
						graduateSchool: this.state.graduateSchool,
						majorCategory: this.state.majorCategory,
						qualification: this.state.qualification,
						businessAudit:this.state.businessAudit,
                   	    auditStatus:this.state.auditStatus
					}
				}).done(function(data) {
					this.setState({
						loading: false
					});
					if(!data.error.length) {
						message.success('保存成功！');
						this.detailsModal()
						this.loadData(this.state.ispage);
					} else {
						message.warning(data.error[0].message);
					}
				}.bind(this));
			}
		})
	},
	//点击整行查看详情
	//查看基本详情基本信息
	loadInformation(record) {
		this.RowClick;
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/findPersonalCustomerDetail',
			data: {
				uid: record
			},
			success: function(data) {
				let thisData = data.data;
				if(!thisData) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thisData = {};
				};
				let ProvinceCityArr = [];
				let ProvinceS = thisData.province; //getprovince
				let citys = thisData.city;
				let Areas = thisData.area;
				ProvinceCityArr.push(ProvinceS, citys, Areas);
				let cityArea = getprovince(ProvinceS) + '/' + getprovince(citys) + '/' + getprovince(Areas)
				let month = thisData.dateOfBirthYear ? thisData.dateOfBirthYear + '/' + thisData.dateOfBirthMonth : false;
				this.setState({
					proviceCityArea: ProvinceS ? cityArea : '',
					InformationId: thisData.id,
					InformationUid: thisData.uid,
					identifyName: thisData.identifyName,
					listed: thisData.listed,
					highTechZone: thisData.highTechZone,
					consultant: thisData.consultant,
					headPortraitUrl: thisData.headPortraitUrl ? splitUrl(thisData.headPortraitUrl, ',', globalConfig.avatarHost + '/upload') : [],
					positiveIdUrl: thisData.positiveIdUrl ? splitUrl(thisData.positiveIdUrl, ',', globalConfig.avatarHost + '/upload') : [],
					oppositeIdUrl: thisData.oppositeIdUrl ? splitUrl(thisData.oppositeIdUrl, ',', globalConfig.avatarHost + '/upload') : [],
					dataInformation: thisData,
					idNumber: thisData.idNumber,
					ProvinceCity: ProvinceCityArr,
					industry: String(thisData.industry),
					societyTag: thisData.societyTag,
					sex: thisData.sex,
					contacts: thisData.contacts,
					contactMobile: thisData.contactMobile,
					yearMonth: month,
					postalAddress: thisData.postalAddress,
					fixedTel: thisData.fixedTel,
					consultationPrice: thisData.consultationPrice,
					email: thisData.email,
					qq: thisData.qq,
					introduction: thisData.introduction,
					expert: thisData.expert,
					celebrity: thisData.celebrity,
					international: thisData.international,
					investment: thisData.investment,
					professionalTitle: thisData.professionalTitle,
					workUnit: thisData.workUnit,
					education: thisData.education,
					graduateSchool: thisData.graduateSchool,
					majorCategory: thisData.majorCategory,
					qualification: thisData.qualification,
					businessAudit:thisData.businessAudit,
                    auditStatus:thisData.auditStatus?String(thisData.auditStatus):undefined, 
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	//tab3账户信息请求数据
	httpAccount(record) {
		this.RowClick;
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/findUserAccountDetail',
			data: {
				uid: record
			},
			success: function(data) {
				let thisData = data.data;
				if(!thisData) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thisData = {};
				};
				let sourcecustomer = ''
				switch(String(thisData.source)) {
					case '0':
						sourcecustomer = '注册客户'
						break;
					case '1':
						sourcecustomer = '录入客户'
						break;
				}
				this.setState({
					Accountuid: thisData.id,
					mobile: thisData.mobile,
					nickname: thisData.nickname,
					email: thisData.email,
					type: getcustomerTyp(String(thisData.type)),
					source: sourcecustomer,
					isMember: thisData.isMember,
					currentMemberStatus: String(thisData.currentMemberStatus),
					lvl: String(thisData.lvl),
					status: String(thisData.status),
					createTimes: thisData.createTimes,
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	detailsModalOk(e) {
		this.setState({ modal5Visible: true }); //需要一个请求数据
	},
	//点击消失函数
	detailsModal(e) {
		this.setState({
			modal5Visible: false
		});
	},
	//拜访modul函数
	visitOk(e) {
		this.setState({
			visitModul: false
		});
		this.loadVisit()
	},
	visitCancel(e) {
		this.setState({
			visitModul: false
		});
	},
	//拜访保存函数
	visitSubmit(e) {
		e.preventDefault();
		if(this.state.contactType == undefined) {
			message.warning('请选择拜访方式')
			return false;
		};
		if(this.state.keys) {
			if(this.state.lastName == undefined) {
				message.warning('请选择联系人')
				return false;
			}
		};
		this.setState({
			selectedRowKeys: [],
		});
		this.setState({
			loading: true
		});
		let contactsId = '';
		if(this.state.keys) {
			let conts = this.state.lastName;
			contactsId = this.state.contactsIdArr[conts].id;
		}
		//新增
		$.ajax({
			method: "post",
			dataType: "json",
			url: this.state.keys ? globalConfig.context + '/api/admin/customer/addFollow' : globalConfig.context + '/api/admin/customer/updateFollow',
			data: this.state.keys ? {
				userBusinessList: JSON.stringify(this.state.data),
				uid: this.state.uid,
				ocbId: contactsId,
				contactType: this.state.contactType,
				result: this.state.result,
				followTime: this.state.followTime,
			} : {
				followId: this.state.followIds,
				userBusinessList: JSON.stringify(this.state.data),
				uid: this.state.uid,
				contactType: this.state.contactType,
				result: this.state.result,
				followTime: this.state.followTime,
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.loadVisit(); //
				this.loadData(this.state.ispage);
				this.visitCancel();
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));

	},

	//当选择联系人的列表变化时，则执行
	hundleName(e) {
		let changNub = this.state.telNum[e];
		this.setState({
			nub: this.state.telNum[e],
			lastName: e,
		});
	},
	//添加新业务及单位客户详情新增
	addNew() {
		this.state.data.push({
			customerStatus: undefined,
			businessGlossoryId: undefined,
			followSituation: undefined,
			remarks: '',
		});
		this.setState({
			data: this.state.data
		})
	},
	//tab2新增联系人
	addcontact() {
		this.state.contactList.push({
			id: null,
			name: '',
			mobile: '',
			email: '',
			qq: '',
			wechat: '',
			depatrment: '',
			position: '',
		});

		this.setState({
			contactList: this.state.contactList
		})
	},
	//tab5进入修改时
	//进入修改时
	listFollowUp(e) {
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + "/api/admin/customer/toUpdateFollowOneBusiness",
			data: {
				ufbId: e
			},
			success: function(data) {
				let thedata = data.data;
				if(!thedata) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thedata = {};
				};
				this.setState({
					businessGlossoryIds: thedata.businessGlossoryId,
					followSituations: thedata.followSituation,
					customerStatuss: thedata.customerStatus,
					followTimes: thedata.followTime,
					createTimes: thedata.createTime,
					identifyNames: thedata.identifyName,
					contactTypes: parseInt(thedata.contactType),
					results: thedata.result,
					remarkss: thedata.remarks,
					adminNames: thedata.adminName,
					contactss: thedata.contacts,
					contactMobiles: thedata.contactMobile,
					ufbId: thedata.ufbId,
					followIds: thedata.followId,
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	//修改密码Modul
	modifyPassworld() {
		this.setState({
			passworldModul: true
		});
	},
	passworldOk(e) {
		this.setState({
			passworldModul: false
		});
	},
	passworldCancel(e) {
		this.setState({
			passworldModul: false
		});
	},
	//修改密码保存
	passworldSubmit(e) {
		e.preventDefault();
		this.passworldCancel()
	},
	//新增联系人
	addcontactModulOK() {
		this.setState({
			addcontactModul: false
		});
	},
	addcontactModulcancel() {
		this.setState({
			addcontactModul: false
		});
	},
	//点击新增详情
	newContacts() {
		this.state.newsex =undefined;
		this.state.newname ='';
		this.state.newmobile='';
		this.state.newwechat='';
		this.state.newqq='';
		this.state.newdepatrment='';
		this.state.newposition='';
		this.state.newemail='';
		this.setState({
			uids: this.state.uid,
			addcontactModul: true
		});
	},
	//新增联系人保存函数
	submitcontactman() {
		this.setState({
			loading: true
		})
		$.ajax({
			method: "post",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + "/api/admin/customer/addOneContact",
			data: {
				uid: this.state.uids,
				name: this.state.newname,
				mobile: this.state.newmobile,
				email: this.state.newemail,
				wechat: this.state.newwechat,
				depatrment: this.state.newdepatrment,
				position: this.state.newposition,
				sex: this.state.newsex,
				qq: this.state.newqq
			},
			success: function(data) {
				if(!data.error.length) {
					this.addcontactModulOK()
					this.getNewWoman(this.state.uids)
					this.setState({
						loading: false,
					})
				} else {
					message.warning(data.error[0].message);
				};
			}.bind(this)
		});
	},
	//获取联系人下拉框
	getNewWoman(ids) {
		this.state.data = []
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + "/api/admin/customer/findCustomerContacts",
			data: {
				uid: ids,
			},
			success: function(data) {
				let theArr = [];
				let thedata = data.data;
				if(!thedata) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thedata = {};
				};
				var telNum = [];
				var contactIds = [];
				thedata.map(function(item, index) {
					contactIds.push(thedata[index].id);
					telNum.push(thedata[index].mobile);
				});
				for(let item in data.data) {
					let theData = data.data[item];
					theArr.push(
						<Select.Option value={item} key={theData.name}>{theData.name}</Select.Option>
					);
				};
				this.setState({
					contactsIdArr: thedata,
					telNum: telNum,
					orderStatusOption: theArr,
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				deletId: ids,
				loading: false
			});
		}.bind(this));
	},
	//拜访意向服务列表单个删除
	intentionDelet(e, index) {
		if(!this.state.keys) {
			let detId = this.state.followIds;
			if(e.id) {
				this.setState({
					selectedRowKeys: [],
				});
				$.ajax({
					method: "get",
					dataType: "json",
					crossDomain: false,
					url: globalConfig.context + "/api/admin/customer/deleteFollowOneBusiness",
					data: {
						ufbId: e.id
					}
				}).done(function(data) {
					if(!data.error.length) {
						message.success('删除成功');
						this.setState({
							loading: false,
						});
					} else {
						message.warning(data.error[0].message);
					};
					this.visitModify(detId);
				}.bind(this));
			} else {
				this.visitModify(detId);
			}
		} else {
			let deteluserBusinessList = (this.state.data).splice(index, 1)
			this.setState({
				selectedRowKeys: [],
			});
		}
	},

	//tab5意向业务
	//意向业务查看列表单个详情
	businessIntentionDetails(e) {
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/toUpdateBusiness',
			data: {
				businessId: e.businessId
			},
			success: function(data) {
				let thisData = data.data;
				if(!thisData) {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
					thisData = {};
				};
				this.setState({
					businessGlossoryId: thisData.businessGlossoryId,
					identifyName: thisData.identifyName,
					uid: thisData.uid,
					businessId: thisData.businessId,
					followSituation: thisData.followSituation,
					customerStatus: thisData.customerStatus,
					createTime: thisData.createTime,
					followTime: thisData.followTime,
					adminName: thisData.adminName,
					remarks: thisData.remarks,
					result: thisData.result,
				});
			}.bind(this),
		}).always(function() {
			this.loadVisit();
			this.setState({
				loading: false
			});
		}.bind(this));
		this.setState({
			businessModul: true
		})
	},
	//查看跟进记录列表
	loadVisit(pageNo) {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/listFollowHistory',
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.paginations.pageSize,
				uid: this.state.rowId, //名称1
				businessGlossoryId: this.state.businessGlossoryId,
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						theArr.push({
							followId: thisdata.followId,
							followTime: thisdata.followTime,
							identifyName: thisdata.identifyName,
							contacts: thisdata.contacts,
							contactMobile: thisdata.contactMobile,
							result: thisdata.result,
							ufbId: thisdata.ufbId,
							adminName: thisdata.adminName,
							followSituation: thisdata.followSituation,
							customerStatus: thisdata.customerStatus,
							contactType: thisdata.contactType
						});
					};
					this.state.paginations.current = data.data.pageNo;
					this.state.paginations.total = data.data.totalCount;
				};
				this.setState({

					visitArrList: theArr,
					paginations: this.state.paginations
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	//tab3拜访记录
	loadBfVisit(pageNo, ids) {
		this.setState({
			loading: true
		});

		$.ajax({
			method: "get",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/listFollowHistory',
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.paginationsy.pageSize,
				uid: ids ? ids : this.state.rowId, //名称1
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						theArr.push({
							followId: thisdata.followId,
							followTime: thisdata.followTime,
							identifyName: thisdata.identifyName,
							contacts: thisdata.contacts,
							contactMobile: thisdata.contactMobile,
							result: thisdata.result,
							ufbId: thisdata.ufbId,
							adminName: thisdata.adminName,
							followSituation: thisdata.followSituation,
							customerStatus: thisdata.customerStatus,
							contactType: thisdata.contactType
						});
					};
					this.state.paginationsy.current = data.data.pageNo;
					this.state.paginationsy.total = data.data.totalCount;
				};
				this.setState({
					visitArrList: theArr,
					paginationsy: this.state.paginationsy
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	businessIntentionOk() {
		this.setState({
			businessGlossoryId: '',
			businessModul: false
		})
	},
	businessIntentionCancel() {
		this.setState({
			businessGlossoryId: '',
			businessModul: false
		})
	},
	//业务跟进查看跟多
	businessFollowDetails(e) {
		this.listFollowUp(e.ufbId)
		this.setState({
			businessFollowModul: true
		})
	},
	businessFollowOk(e) {
		this.setState({
			businessFollowModul: false
		})
	},
	businessFollowCancel(e) {
		this.setState({
			businessFollowModul: false
		})
	},
	//tab2联系人保存
	contactSave() {
		let err = '';
		let contactArr = this.state.contactList;
		contactArr.map(function(item) {
			if(!item.name) {
				err = '客户姓名不能为空！';
			}
			if(!item.mobile) {
				err = '手机号码不能为空！';
			}
			return err;
		})
		if(err) {
			message.warning(err)
			return false;
		};
		$.ajax({
			url: globalConfig.context + '/api/admin/customer/updateCustomerContacts',
			method: 'post',
			data: {
				uid: this.state.rowId,
				contactList: JSON.stringify(this.state.contactList)
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.detailsModal()
				this.loadData(this.state.ispage);
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},
	//详情tab切换数据处理
	callback(e) {
		if(e == '1') {
			this.loadInformation(this.state.rowId)
		}
		if(e == '2') {
			this.contactLists(this.state.rowId)
		}
		if(e == '3') {
			this.httpAccount(this.state.rowId)
		}
		if(e == '4') {
			this.loadBfVisit(1, this.state.rowId);
		}
		if(e == '5') {
			this.BusinessList(1, this.state.rowId);
		}
		if(e == '6') {

		}
		if(e == '7') {

		}
		if(e == '8') {

		}
		if(e == '9') {

		}
		this.setState({
			callnub: e,
		})
	},
	//账户信息保存
	accountSave(e) {
		e.preventDefault();
		this.state.data = [];
		this.setState({
			selectedRowKeys: [],
		});
		this.setState({
			loading: true
		});
		$.ajax({
			method: "post",
			dataType: "json",
			url: globalConfig.context + '/api/admin/customer/updateUserAccount',
			data: {
				id: this.state.Accountuid,
				mobile: this.state.mobile,
				nickname: this.state.nickname,
				email: this.state.email,
				isMember: this.state.isMember,
				currentMemberStatus: this.state.currentMemberStatus,
				lvl: this.state.lvl,
				status: this.state.status,
			}
		}).done(function(data) {
			this.setState({
				loading: false
			});
			if(!data.error.length) {
				message.success('保存成功！');
				this.detailsModal();
				this.loadData(this.state.ispage);
			} else {
				message.warning(data.error[0].message);
			}
		}.bind(this));
	},

	//tab2删除
	confirmDelet(e) {
		this.setState({
			loading: true
		});
		if(e.id) {
			$.ajax({
				method: "get",
				dataType: "json",
				crossDomain: false,
				url: globalConfig.context + "/api/admin/customer/deleteOneContact",
				data: {
					ocbId: e.id, //删除的ID    
				}
			}).done(function(data) {
				if(!data.error.length) {
					message.success('删除成功！');
					this.setState({
						loading: false,
					});
				} else {
					message.warning(data.error[0].message);
				};
				this.contactLists(this.state.rowId);
			}.bind(this));
		} else {
			this.contactLists(this.state.rowId);
		}
	},

	//tab5业务意向
	BusinessList(pageNo, uids) {
		this.setState({
			loading: true
		});
		$.ajax({
			method: "post",
			dataType: "json",
			crossDomain: false,
			url: globalConfig.context + '/api/admin/customer/listBusiness',
			data: {
				pageNo: pageNo || 1,
				pageSize: this.state.paginationt.pageSize,
				uid: uids ? uids : this.state.rowId
			},
			success: function(data) {
				let theArr = [];
				if(data.error.length || data.data.list == "") {
					if(data.error && data.error.length) {
						message.warning(data.error[0].message);
					};
				} else {
					for(let i = 0; i < data.data.list.length; i++) {
						let thisdata = data.data.list[i];
						theArr.push({
							key: i,
							businessId: thisdata.businessId,
							businessName: thisdata.businessName,
							identifyName: thisdata.identifyName,
							followSituation: thisdata.followSituation,
							customerStatus: thisdata.customerStatus,
							adminName: thisdata.adminName,
							createTime: thisdata.createTime
						});
					};
					this.state.paginationt.current = data.data.pageNo;
					this.state.paginationt.total = data.data.totalCount;
				};
				this.setState({
					dataBusiness: theArr,
					paginationt: this.state.paginationt
				});
			}.bind(this),
		}).always(function() {
			this.setState({
				loading: false
			});
		}.bind(this));
	},
	componentWillReceiveProps(nextProps) {
		if(!this.props.visible && nextProps.visible) {
			if(nextProps.data && nextProps.data.id) {
				this.loadData(nextProps.data.id, nextProps.detailApiUrl);
			};
			this.state.data = {};
			this.state.companyLogoUrl = [];
			this.state.orgCodeUrl = [];

		};
	},
	render() {
		const FormItem = Form.Item
		const rowSelection = {
			selectedRowKeys: this.state.selectedRowKeys,
			onChange: (selectedRowKeys, selectedRows) => {
				this.setState({
					selectedRows: selectedRows.slice(-1),
					selectedRowKeys: selectedRowKeys.slice(-1)
				});
			},
			onSelect: (recordt, selected, selectedRows) => {
				this.setState({
					recordt: recordt.id
				})
			},
		};
		const rowSelections = {
			selectedRowKeys: this.state.selectedRowKey,
			onChange: (selectedRowKey, selectedRow) => {
				this.setState({
					selectedRow: selectedRow.slice(-1),
					selectedRowKey: selectedRowKey.slice(-1)
				});
			},
			onSelect: (records, selected, selectedRow) => {
				this.setState({
					selectedRow: selectedRow.slice(-1),
					records: records.id,
				})
			},

		};
		const hasSelected = this.state.selectedRowKeys.length > 0;
		const { RangePicker, MonthPicker } = DatePicker;
		const { getFieldDecorator } = this.props.form;
		const formItemLayout = {
			labelCol: { span: 8 },
			wrapperCol: { span: 14 },
		};
		const theInformation = this.state.dataInformation || {}
		const contactsOption = "";
		const formItemLayput = {
			labelCol: { span: 10 },
			wrapperCol: { span: 14 },
		};
		const contacts = this.state.contacts || '';
		return(
			<div className="user-content" >
                <div className="content-title">                  
                    <span>公共个人客户管理</span>
                </div>
                <div className="user-search">                    
                    <Input placeholder="客户姓名"
                        value={this.state.nameSearch}
                        onChange={(e) => { this.setState({ nameSearch: e.target.value }); }} />    
                    <Select placeholder="省"
                            style={{ width: 80 }}
                            value={this.state.provinceSearch}
                            onChange={(e) => {this.setState({ provinceSearch: e});}}>
                            {this.state.Provinces}
                    </Select> 
                    <span style={{marginRight:'10px'}}>                   
	                     <Cascader options={this.state.City}  value={this.state.addressSearch} placeholder="选择城市"
    						onChange={(e,pre) => { this.setState({ addressSearch: e }) }} />	                 
                    </span>
                    <Button type="primary" onClick={this.search}>搜索</Button>
                    <Button onClick={this.reset}>重置</Button>                                    					
					 
	                <span style={{marginLeft:'10px',marginRight:'20px'}}>更多搜索<Switch defaultChecked={false} onChange={this.searchSwitch} /></span>
                    <div className='clearfix' style={{marginTop:'5px'}}>
	                  <div className="search-more" style={this.state.searchMore ? { display: 'none' } : {}}>                    			                  
			                <RangePicker
		                        value={[this.state.releaseDate[0] ? moment(this.state.releaseDate[0]) : null,
		                        this.state.releaseDate[1] ? moment(this.state.releaseDate[1]) : null]}
		                        onChange={(data, dataString) => { this.setState({ releaseDate: dataString }); }} />      
	                        <Select placeholder="客户状态"
	                            style={{ width: 100 }}
	                            value={this.state.statusSearch}
	                            onChange={(e) => { this.setState({ statusSearch: e }) }}>
	                            <Select.Option value="0" >正常</Select.Option>
	                            <Select.Option value="2" >锁定</Select.Option>
	                        </Select>
	                        <Select placeholder="行业"
	                            style={{ width: 100 }}
	                            value={this.state.industrySearch}
	                            onChange={(e) => { this.setState({ industrySearch: e }) }}>
	                            {this.state.intentionalOption}
	                        </Select>
	                        <span>认证:</span>
	                        <Select placeholder="业务认证"
	                            style={{ width: 100 }}
	                            value={this.state.serviceCertificationSearch}
	                            onChange={(e) => { this.setState({ serviceCertificationSearch: e }) }}>
	                            <Select.Option value="0" >未认证</Select.Option>
	                            <Select.Option value="1" >已认证</Select.Option>
	                        </Select>
	                        <Select placeholder="实名认证"
	                            style={{ width: 100 }}
	                            value={this.state.userCertificationSearch}
	                            onChange={(e) => { this.setState({ userCertificationSearch: e }) }}>
	                            {
                                    auditStatusL.map(function (item) {
                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
                                    })
                                }
	                        </Select>
	                        <span>专家:</span>
	                        <Select placeholder="专家"
	                            style={{ width: 60 }}
	                            value={this.state.expertSearch}
	                            onChange={(e) => { this.setState({ expertSearch: e }) }}>
	                            <Select.Option value="0" >否</Select.Option>
	                            <Select.Option value="1" >是</Select.Option>
	                        </Select>
	                        <span>明星:</span>
	                        <Select placeholder="明星"
	                            style={{ width: 60 }}
	                            value={this.state.celebritySearch}
	                            onChange={(e) => { this.setState({ celebritySearch: e }) }}>
	                            <Select.Option value="0" >否</Select.Option>
	                            <Select.Option value="1" >是</Select.Option>
	                        </Select>
	                        <span>国际:</span>
	                        <Select placeholder="国际"
	                            style={{ width: 60 }}
	                            value={this.state.internationalSearch}
	                            onChange={(e) => { this.setState({ internationalSearch: e }) }}>
	                            <Select.Option value="0" >否</Select.Option>
	                            <Select.Option value="1" >是</Select.Option>
	                        </Select>
	                        <span>会员:</span>
	                        <Select placeholder="会员等级"
	                            style={{ width: 100 }}
	                            value={this.state.lvlSearch}
	                            onChange={(e) => { this.setState({ lvlSearch: e }) }}>
	                            {this.state.lvlArrOption}
	                        </Select>
	                         
	                        <Select placeholder="会员状态"
	                            style={{ width: 100 }}
	                            value={this.state.currentMemberStatusSearch}
	                            onChange={(e) => { this.setState({ currentMemberStatusSearch: e }) }}>
	                            {this.state.currentMemberArrOption}
	                        </Select>
			            </div>  
		            </div>
                </div>                                               
                <div className="patent-table">
                    <Spin spinning={this.state.loading}>
                        <Table columns={this.state.columns}
                            dataSource={this.state.dataSource}    
                            rowSelection={rowSelection}
                            pagination={this.state.pagination} 
                            onRowClick={this.tableRowClick}
                           />
                    </Spin>
                </div> 
                <Modal	
				      className="customeDetails"				      
			          title="个人客户详情"
			          width='1200px'
			          visible={this.state.modal5Visible}
			          onOk={this.detailsModal}
			          onCancel={this.detailsModal}
			          footer=''
			        >				    
					     <Tabs onChange={this.callback} activeKey={this.state.callnub}>
						    <TabPane tab="基本信息" key="1">
						        <Form horizontal onSubmit={this.newSubmit} id="demand-form">
					                <Spin spinning={this.state.loading}>
						               	<div className="clearfix" >
					                    	<FormItem className="half-item"
							                    {...formItemLayout}
							                    label="客户姓名"
						                        >
					                    	<span>{theInformation.identifyName}</span>
						                    </FormItem>
					                    </div>
					                    <div className="clearfix" >
					                    	<FormItem className="half-item" 
					                         {...formItemLayout}
					                         label="行业">
											    <Select placeholder="选择行业" value={this.state.industry}  style={{width:'300px'}}
											    				onChange={(e)=>{this.setState({industry:e})}}>
				                                      {
				                                        industry.map(function (item) {
				                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                        })
				                                      }
				                                </Select>
				                                <span style={{color:'red',marginLeft:'15px'}}>*</span>
					                   		 </FormItem>
					                   		 <FormItem className="half-item" 
					                           {...formItemLayout}
					                           label="社会属性"
					                           > 
												    <Select placeholder="客户社会属性" value={this.state.societyTag}  style={{width:'300px'}}
											    				onChange={(e)=>{this.setState({societyTag:e})}}> 
				                                     {
				                                        socialAttribute.map(function (item) {
				                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
				                                        })
				                                    }
				                                </Select>  
				                                <span style={{color:'red',marginLeft:'15px'}}>*</span>
					                   		 </FormItem>
					                   		 <FormItem className="half-item" 
					                           {...formItemLayout}
					                           label="省-市-区"
					                          > 
					                            <Cascader options={this.state.Area}  value={this.state.ProvinceCity} placeholder="选择城市" style={{width:'300px'}}
    												onChange={(e,pre) => { this.setState({ ProvinceCity: e }) }} /> 
    											<span style={{color:'red',marginLeft:'15px'}}>*</span>
						                    </FormItem>
					                   		 <FormItem className="half-item" 
						                          {...formItemLayout}
						                           label="出生日期"
					                          > 
					                          {!this.state.yearMonth?<MonthPicker placeholder="选择出生年月" value={this.state.yearMonth||null} onChange={(time) => {this.setState({yearMonth: time});}}/>	   	 
						                          :<MonthPicker value={moment(this.state.yearMonth, monthFormat)} format={monthFormat} onChange={(time) => {this.setState({yearMonth: time});}}/>
						                    }
						                    </FormItem>
						                     <FormItem className="half-item" 
							                    	{...formItemLayout}
							                        label="身份证号码"
					                           	 >
						                                <Input placeholder="身份证号码" value={this.state.idNumber} onChange={(e) => {
								                        this.setState({ idNumber:  e.target.value })}}/>
						                     </FormItem>
						                     <FormItem className="half-item" 
							                    	 {...formItemLayout}
							                        label="主要联系人"
					                           	 >
						                            <Input placeholder="主要联系人" value={this.state.contacts} onChange={(e) => {
								                        this.setState({ contacts:  e.target.value })}}/>
						                     </FormItem>
						                     <FormItem className="half-item" 
							                    	 {...formItemLayout}
							                        label="主要联系人号码"
					                           	 >
						                            <Input placeholder="主要联系人号码" value={this.state.contactMobile} onChange={(e) => {
								                        this.setState({ contactMobile:  e.target.value })}}/>
						                     </FormItem>
						                    
							                    <FormItem className="half-item" 
								                    	 {...formItemLayout}
								                        label="职称名字"
						                           	 >
							                            <Input placeholder="职称名字" value={this.state.professionalTitle} onChange={(e) => {
									                        this.setState({ professionalTitle:  e.target.value })}}/>
							                    </FormItem>
							                    <FormItem className="half-item" 
								                    	 {...formItemLayout}
								                        label="就业单位"
						                           	 >
							                            <Input placeholder="就业单位" value={this.state.workUnit} onChange={(e) => {
									                        this.setState({ workUnit:  e.target.value })}}/>
							                    </FormItem>
							                    <FormItem className="half-item" 
								                    	 {...formItemLayout}
								                        label="学历"
						                           	 >
							                            <Input placeholder="学历" value={this.state.education} onChange={(e) => {
									                        this.setState({ education:  e.target.value })}}/>
							                    </FormItem>
							                    <FormItem className="half-item" 
								                    	 {...formItemLayout}
								                        label="毕业院校"
						                           	 >
							                            <Input placeholder="学历" value={this.state.graduateSchool} onChange={(e) => {
									                        this.setState({ graduateSchool:  e.target.value })}}/>
							                    </FormItem>
							                    <FormItem className="half-item" 
								                    	 {...formItemLayout}
								                        label="专业类别"
						                           	 >
							                            <Input placeholder="专业类别" value={this.state.majorCategory} onChange={(e) => {
									                        this.setState({ majorCategory:  e.target.value })}}/>
							                    </FormItem>
							                    <FormItem className="half-item" 
								                    	 {...formItemLayout}
								                        label="职业资格"
						                           	 >
							                            <Input placeholder="职业资格" value={this.state.qualification} onChange={(e) => {
									                        this.setState({ qualification:  e.target.value })}}/>
							                    </FormItem>
							                    <FormItem className="half-item"
								                    	 {...formItemLayout}
								                         label="通信地址"
							                            >
							                                <Input placeholder="客户通信地址" value={this.state.postalAddress} 
	    												onChange={(e,pre) => { this.setState({ postalAddress: e.target.value }) }}/>
							                    </FormItem>
							                    <FormItem className="half-item"
								                    	 {...formItemLayout}
								                         label="固定电话"
							                            >
							                                <Input placeholder="客户固定电话" value={this.state.fixedTel} 
	    												onChange={(e) => { this.setState({ fixedTel: e.target.value }) }}/>
							                    </FormItem>
							                    <FormItem className="half-item"
								                    	 {...formItemLayout}
								                         label="客户QQ"
							                            >
							                                <Input placeholder="客户QQ" value={this.state.qq} 
	    												onChange={(e) => { this.setState({ qq: e.target.value })}}/>
							                    </FormItem>
							                    <FormItem className="half-item"
								                    	 {...formItemLayout}
								                         label="电子邮箱"
							                            >
							                                <Input placeholder="客户电子邮箱" value={this.state.email} 
	    												onChange={(e) => {this.setState({email: e.target.value })}}/>
							                    </FormItem>
						                   		<FormItem className="half-item"
								                    	 {...formItemLayout}
								                         label="咨询费用"
							                            >
							                                <Input ref='consul' placeholder="输入数字且不超过6位" value={this.state.consultationPrice} 
	    												onChange={(e) => {this.setState({consultationPrice: e.target.value })}}/>
							                    </FormItem>
							                  <FormItem  className="half-item" 
									         	{...formItemLayout}
						                    	label="分配指定人"
				                               > 
				                              <Select placeholder="请选择指定人" value={this.state.editSuperId} onChange={(e)=>{this.setState({editSuperId:e})}}
					                                notFoundContent="未获取到部门员工">
					                                {this.state.contactsOption}
					                            </Select> 
					                            
				                   		    </FormItem>
											<div className='clearfix'>
							                    <FormItem
							                        labelCol={{ span: 4 }}
							                        wrapperCol={{ span: 18 }}
							                        label="客户简介" >
							                            <Input type="textarea" rows={4} value={this.state.introduction} 
    												onChange={(e,pre) => { this.setState({ introduction: e.target.value })}}/>
							                    </FormItem>
						                    </div>
						                    <div className="clearfix">
						                     
						                    <FormItem className="half-item"
						                   			 {...formItemLayout}
							                           label="业务认证"
						                   		>
							                   		 <Radio.Group value={this.state.businessAudit} onChange={(e) => {
									                        this.setState({ businessAudit:  e.target.value })
									                    }}>
									                        <Radio value={0}>未认证</Radio>
									                        <Radio value={1}>已认证</Radio>
									                  </Radio.Group>
									        </FormItem>
									        <FormItem className="half-item"
								                {...formItemLayout}
						                        label="国际化"
								            > 
						                   		 <Radio.Group value={this.state.international} onChange={(e) => {
								                        this.setState({ international:  e.target.value })
								                    }}>
								                        <Radio value={0}>否</Radio>
								                        <Radio value={1}>是</Radio>
								                  </Radio.Group>
								             </FormItem>
					                   		 <FormItem className="half-item" 
						                           {...formItemLayout}
						                           label="性别"
						                         > 
						                   		 <Radio.Group value={this.state.sex} onChange={(e) => {
								                        this.setState({sex:e.target.value})
								                    }}>
								                        <Radio value={'男'}>男</Radio>
								                        <Radio value={'女'}>女</Radio>
								                  </Radio.Group>
					                   		 </FormItem>
					                   		 </div>
						                   <div className="clearfix pictures">
						                        <FormItem style={{display:'inline-block',width:'350px',marginTop:'20px',marginLeft:'60px'}}
							                        labelCol={{ span: 8 }}
							                        wrapperCol={{ span: 10 }}
							                        label="身份证正面" >
							                        <PicturesWall
							                            pictureSign="ID"
							                            fileList={this.getPositiveIdUrl}
							                            pictureUrl={this.state.positiveIdUrl} />
							                            <p>建议：图片要清晰。</p>
						                        </FormItem>
						                        <FormItem style={{display:'inline-block',width:'350px',marginTop:'20px'}}
							                        labelCol={{ span: 8 }}
							                        wrapperCol={{ span: 10 }}
							                        label="身份证反面" > 
							                        <PicturesWall
							                            pictureSign="ID"
							                            fileList={this.getOppositeIdUrl}
							                            pictureUrl={this.state.oppositeIdUrl} />
							                            <p>建议：图片要清晰。</p>
							                    </FormItem>
							                    <FormItem style={{display:'inline-block' ,width:'350px',marginTop:'20px'}}
							                        labelCol={{ span: 8 }}
							                        wrapperCol={{ span: 10 }}
							                        label="客户照片" > 
							                        <PicturesWall
							                            pictureSign="portrait"
							                            fileList={this.getHeadPortraitUrl}
							                            pictureUrl={this.state.headPortraitUrl} />
							                            <p>建议：图片要清晰。</p>
							                    </FormItem>
							                </div>
						                    <Button className="set-submit" type="primary" htmlType="submit" style={{marginLeft:'146px',marginBottom:'30px'}}>保存</Button>  
					                        <Button className="set-submit" type="ghost" onClick={this.detailsModal}>取消</Button>
					                    </div>		                	
								    </Spin>
								</Form>
							</TabPane>
						    <TabPane tab="联系人信息" key="2">
						        <div className="clearfix" style={{display:adminData.isSuperAdmin?'block':'none'}}>
						            <Button className="ContactsList" type="primary" onClick={this.addcontact}>新增</Button> 
						        </div>
						       <div className="clearfix">
                    			  <Spin spinning={this.state.loading}>
                    			     <Form horizontal id="demand-form" onSubmit={this.contactSave} >
								      <Table 
						            	 pagination={false}
						            	 columns={this.state.ContactsLists} 
						            	 dataSource={this.state.contactList}
						            	 />
					            	        <div className="clearfix" style={{display:adminData.isSuperAdmin?'inline-block':'none'}}>
								                <Button  type="primary" htmlType="submit" style={{fontSize:'16px',margin:'20px 25px 40px 120px'}}>保存</Button>  
				                                <Button  type="ghost" onClick={this.detailsModal} style={{fontSize:'18px'}}>取消</Button>
								            </div>
						            	</Form> 
								   </Spin> 
								</div>
						    </TabPane>
						    <TabPane tab="账户信息" key="3">
						    		<div className="clearfix">
						    			{adminData.isSuperAdmin?<Form horizontal id="demand-form" onSubmit={this.accountSave} >
						    				<Spin spinning={this.state.loading} >
						    					<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="注册手机号" >
							                         <Input value={this.state.mobile} disabled 
							                           onChange={(e) => { this.setState({ mobile: e.target.value }); }} style={{width:'200px',marginRight:'50px'}}/>
							                    	 <Button onClick={this.modifyPassworld}>修改密码</Button>
							                    </FormItem>
							                    <FormItem className="half-item"
							                            {...formItemLayout}
							                            label="注册用户名" >
							                         <Input value={this.state.nickname}  onChange={(e) => { this.setState({ nickname: e.target.value }); }} />        
							                    </FormItem>
							                    <FormItem className="half-item"
							                            {...formItemLayout}
							                            label="注册邮箱" >
							                         <Input value={this.state.email}  onChange={(e) => { this.setState({ email: e.target.value }); }} />        
							                    </FormItem>
							                    <div className="clearfix">
								                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="客户来源" >
								                            <span>{this.state.source}</span>   
								                    </FormItem>
								                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="客户类型" >
								                            <span>{this.state.type}</span>   
								                    </FormItem>
								                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="创建时间" >
								                            <span>{this.state.createTimes}</span>   
								                    </FormItem>
								                    <FormItem className="half-item" 
							                           {...formItemLayout}
							                           label="账户状态"
							                         > 
													    <Select placeholder="账户状态" value={this.state.status}  onChange={(e) => { this.setState({ status: e }); }} >
					                                    {
					                                        statuslist.map(function (item) {
					                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
					                                        })
					                                    }
					                                  </Select>
							                   		</FormItem>
						                   		</div>
						                   		<div className="clearfix">
						                   		    <FormItem className="half-item"
										                {...formItemLayout}
								                        label="会员"
										            > 
								                   		 <Radio.Group value={this.state.isMember} onChange={(e) => {
										                        this.setState({ isMember:  e.target.value })
										                    }}>
										                        <Radio value={0}>否</Radio>
										                        <Radio value={1}>是</Radio>
										                  </Radio.Group>
										             </FormItem>
										            <FormItem className="half-item" 
								                          {...formItemLayout}
								                           label="会员等级"
								                         > 
													    <Select placeholder="客户状态" value={this.state.lvl}  onChange={(e) => { this.setState({ lvl: e }); }} >
					                                     {
					                                        lvl.map(function (item) {
					                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
					                                        })
					                                     }
					                                   </Select>
							                   		</FormItem>
							                   		<FormItem className="half-item" 
							                           {...formItemLayout}
							                           label="会员状态"
							                         > 
													    <Select placeholder="会员状态" value={this.state.currentMemberStatus}  onChange={(e) => { this.setState({ currentMemberStatus: e }); }} >
					                                    {
					                                        currentMember.map(function (item) {
					                                            return <Select.Option key={item.value} >{item.key}</Select.Option>
					                                        })
					                                    }
					                                    </Select>
							                   		</FormItem>
							                   	</div>
									            <div className="clearfix">
									                <Button className='saveBtn' type="primary" htmlType="submit">保存</Button>  
					                                <Button  type="ghost" onClick={this.detailsModal}>取消</Button>
									            </div>
						    				</Spin>
						    			</Form>	:
						    			<Form horizontal id="demand-form"  >
						    				<Spin spinning={this.state.loading} >
						    					<FormItem className="half-item"
							                            {...formItemLayout}
							                            label="注册手机号" >				
							                    	 <span>{this.state.mobile}</span>
							                    </FormItem>
							                    <FormItem className="half-item"
							                            {...formItemLayout}
							                            label="注册用户名" >							                      
							                   		 <span>{this.state.nickname}</span>   
							                   </FormItem>
							                    <FormItem className="half-item"
							                            {...formItemLayout}
							                            label="注册邮箱" > 
							                        <span>{this.state.email}</span>   
							                    </FormItem>
							                    <div className="clearfix">
								                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="客户来源" >
								                            <span>{this.state.source}</span>   
								                    </FormItem>
								                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="客户类型" >
								                            <span>{this.state.type}</span>   
								                    </FormItem>
								                    <FormItem className="half-item"
								                            {...formItemLayout}
								                            label="创建时间" >
								                            <span>{this.state.createTimes}</span>   
								                    </FormItem>
								                    <FormItem className="half-item" 
							                           {...formItemLayout}
							                           label="账户状态"
							                         > 
					                                   <span>{getStatuslist(this.state.status)}</span>
							                   		</FormItem>
						                   		</div>
						                   		<div className="clearfix">
						                   		    <FormItem className="half-item"
										                {...formItemLayout}
								                        label="专家"
										                > 
										                  <span>{this.state.isMembers?'是':'否'}</span>
										            </FormItem>
										            <FormItem className="half-item"
										                {...formItemLayout}
								                        label="明星"
										                > 
										                  <span>{this.state.star?'是':'否'}</span>
										            </FormItem>
										            <FormItem className="half-item"
										                {...formItemLayout}
								                        label="会员"
										            > 
										                  <span>{this.state.isMember?'是':'否'}</span>
										            </FormItem>
										            <FormItem className="half-item" 
								                          {...formItemLayout}
								                           label="会员等级"
								                         > 
					                                    <span>{getLvl(this.state.lvl)}</span>  
							                   		</FormItem>
							                   		<FormItem className="half-item" 
							                           {...formItemLayout}
							                           label="会员状态"
							                         > 
					                                    <span>{getCurrentMember(this.state.currentMemberStatus)}</span>
							                   		</FormItem>
							                   	</div>
						                   		<FormItem className="half-item"
						                   			 {...formItemLayout}
							                           label="业务认证"
						                   		>
									                <span>{this.state.serviceCertification?'已认证':'未认证'}</span>
									            </FormItem>
									            <FormItem className="half-item" 
									            	{...formItemLayout}
							                        label="实名认证"
									            >
									                <span>{getAuditStatus(this.state.userCertification)}</span>
									            </FormItem>
						    				</Spin>
						    			</Form>
						    			}
						    		</div>
						    </TabPane>
							<TabPane tab="客户拜访" key="4">
							     <div className="clearfix">
                    			    <Spin spinning={this.state.loading}>
								      <Table 
						            	 pagination={false}
						            	 columns={this.state.visitsList} 
						            	 dataSource={this.state.visitArrList}
						            	 onRowClick={this.VisitRowClick}
						            	 />
								    </Spin> 
								</div>								
							</TabPane>						
							<TabPane tab="业务意向" key="5">
							    <div className="clearfix">
                    			    <Spin spinning={this.state.loading}>
								      <Table 
						            	 pagination={this.state.paginationt}
						            	 columns={this.state.businessIntentionList} 
						            	 dataSource={this.state.dataBusiness}
						            	 />
								    </Spin> 
								</div>							
							</TabPane>
							<TabPane tab="业务订单" key="6">
							     								
							</TabPane>
							<TabPane tab="技术需求" key="7">
							     								
							</TabPane>
							<TabPane tab="技术成果" key="8">
							     								
							</TabPane>
							<TabPane tab="技术专家" key="9">
							     								
							</TabPane>
						</Tabs>
    			</Modal>
    			<Modal	
				      className="customeDetails"
				      footer=''
			          title="拜访详情"
			          width='1000px'
			          visible={this.state.visitModul}
			          onOk={this.visitOk}
					  onCancel={this.visitCancel}							          							          
			        >				    
					     <Form horizontal id="demand-form" onSubmit={this.visitSubmit}>
			    			{adminData.isSuperAdmin?<Spin spinning={this.state.loading}>
			    			   	<div className="clearfix">
			    			   		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="拜访方式" >
			    			   			<Radio.Group value={this.state.contactType} onChange={(e) => {
										        this.setState({ contactType: e.target.value }) 
						                    }}>
						                        <Radio value={0}>外出</Radio>
						                        <Radio value={1}>电话</Radio>
						                        <Radio value={2}>QQ</Radio>
						                        <Radio value={3}>微信</Radio>
						                        <Radio value={4}>邮箱</Radio>
						                  </Radio.Group>
					                </FormItem>
					                <FormItem className="half-item"
			                           {...formItemLayout}
			                             >
					                	<Button type="primary" onClick={this.newContacts} style={{marginLeft:'100px',display:this.state.keys?'inline-block':'none'}}>添加新联系人</Button>
					                </FormItem>
					                <div className="clearfix">
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="客户姓名"
				                             >
						                   <span>{this.state.identifyName}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="拜访人"
				                             >
						                    <span>{this.state.adminName}</span>
						                </FormItem>
						                 <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="当前联系人"
				                             >
						                    <span>{this.state.contacts}</span>
						                </FormItem>
						                {this.state.contacts?<span></span>:
							                <FormItem className="half-item"
					                            {...formItemLayout}
					                             label="联系人"
					                             >
							                	<Select placeholder="选择联系人" style={{ width: 140 }}
							                        value={this.state.lastName}
							                        onChange={this.hundleName}>
							                        {this.state.orderStatusOption}
				                    			</Select>
							                </FormItem>
						                }
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="拜访时间"
				                             >
						                	<span>{this.state.followTime}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="联系电话"
				                             >
						                	<span>{this.state.nub}</span>
						                </FormItem>
					                </div>
					                <div className="clearfix">
					                	<FormItem
					                        labelCol={{ span: 4 }}
							                wrapperCol={{ span: 16 }}
					                        label="拜访备注" >
					                            <Input type="textarea" rows={4} value={this.state.result} 
					                              onChange={(e)=>{this.setState({result:e.target.value})}}/>
					                    </FormItem>
					                </div>
					                <div className="clearfix">
					                 	<div style={{fontSize:'18px',marginLeft:'100px',marginTop:'15px',marginBottom:'10px'}}>业务意向<Button onClick={this.addNew} style={{marginLeft:'420px',background:'green',color:'#ffffff'}}>添加新业务</Button></div>
					                 	<div className="clearfix" style={{paddingLeft:'50px',paddingRight:'50px'}}>
		                    			    <Spin spinning={this.state.loading}>
										      <Table 
										         rowKey={record => record.id}
								            	 pagination={false}
								            	 columns={this.state.intentionList} 
								            	 dataSource={this.state.data}
								            	 />
										    </Spin> 
										</div>	 
					                </div>
			    			   	</div>
							    <Button  type="primary" size="large" htmlType="submit" style={{margin:'15px  35px 35px 120px'}}>保存</Button>
					           	<Button  size="large" onClick={this.visitCancel}>取消</Button>
					   		</Spin>:<Spin spinning={this.state.loading}>
			    			   	<div className="clearfix">
			    			   		<FormItem className="half-item"
			                            {...formItemLayout}
			                            label="拜访方式" >
						                  <span>{getContactType(String(this.state.contactType))}</span>
					                </FormItem>
					                <div className="clearfix">
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="客户姓名"
				                             >
						                   <span>{this.state.identifyName}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="拜访人"
				                             >
						                    <span>{this.state.adminName}</span>
						                </FormItem>
						                 <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="当前联系人"
				                             >
						                    <span>{this.state.contacts}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="拜访时间"
				                             >
						                	<span>{this.state.followTime}</span>
						                </FormItem>
						                <FormItem className="half-item"
				                            {...formItemLayout}
				                             label="联系电话"
				                             >
						                	<span>{this.state.nub}</span>
						                </FormItem>
					                </div>
					                <div className="clearfix">
					                	<FormItem
					                        labelCol={{ span: 4 }}
							                wrapperCol={{ span: 16 }}
					                        label="拜访备注" >
					                        <span>{this.state.result}</span>      
					                    </FormItem>
					                </div>
					                <div className="clearfix">
					                 	<div className="clearfix" style={{paddingLeft:'50px',paddingRight:'50px'}}>
		                    			    <Spin spinning={this.state.loading}>
										      <Table 
										         rowKey={record => record.id}
								            	 pagination={false}
								            	 columns={this.state.intentionList} 
								            	 dataSource={this.state.data}
								            	 />
										    </Spin> 
										</div>	 
					                </div>
			    			   	</div>
					   		</Spin>}
					    </Form>
    			</Modal> 
    			<Modal	
				      footer=''
			          title="修改密码"
			          width='600px'
			          visible={this.state.passworldModul}
			          onOk={this.passworldOk}
					  onCancel={this.passworldCancel}							          							          
			        >				    
					    <div className="clearfix">
			    			<Form horizontal id="demand-form" onSubmit={this.passworldSubmit}>
			    				<Spin spinning={this.state.loading}>
			    					<div className="clearfix">
				    					<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="原密码" >
					                         <Input type="password" value={this.state.companyNamet1}  onChange={(e) => { this.setState({ companyNamet1: e.target.value }); }} required="required" />	
					                    </FormItem>
				                    </div>
				                    <div className="clearfix">
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="新密码" >
					                         <Input type="password" value={this.state.companyName1}  onChange={(e) => { this.setState({ companyName1: e.target.value }); }} required="required" /> 
					                    </FormItem>
				                    </div>
				                    <div className="clearfix">
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="确认密码" >
					                         <Input type="password" value={this.state.companyNam1}  onChange={(e) => { this.setState({ companyNam1: e.target.value }); }} required="required" /> 
					                    </FormItem>
				                    </div>
				                    <Button  type="primary" size="large" htmlType="submit" style={{margin:'15px  15px 20px 95px'}}>保存</Button>
			           				<Button  size="large" onClick={this.passworldCancel}>取消</Button>
				                </Spin>
							</Form>                  
						</div>	                    
    			</Modal>
			    <Modal
				      footer=''
				      width='800px'
			          title="新增联系人"
			          visible={this.state.addcontactModul}
			          onOk={this.addcontactModulOK}
			          onCancel={this.addcontactModulcancel}						          							          
						        >
				        <Form horizontal onSubmit={this.submitcontactman} id="demand-form">
					      <Spin spinning={this.state.loading}> 											             
					        <Row>	
			                    <FormItem 
			                        labelCol={{ span: 3 }}
			                        wrapperCol={{ span: 14 }}
			                        label="性别："  style={{marginRight:'10px',marginTop: '-15px'}}>
			                        <Radio.Group value={this.state.newsex} onChange={(e) => {
					                    this.setState({ newsex: e.target.value }) 
					                    }}>
					                        <Radio value='男'>男</Radio>
					                        <Radio value='女'>女</Radio>
				                    </Radio.Group>
			                    </FormItem>	
							</Row>								               
					        <Row style={{ paddingLeft:'50px' }}>
		                        <Col span={2}><span style={{color:'red'}}>*</span>姓名：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newname} required="required"
                                        onChange={(e) => { this.setState({ newname: e.target.value }) }} />
                                </Col>
                                <Col span={2} style={{ marginLeft: '50px' }}><span style={{color:'red'}}>*</span>手机：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newmobile} required="required"
                                        onChange={(e) => { this.setState({ newmobile: e.target.value }) }} />
                                </Col>
                                
                            </Row>
		                    <Row style={{ marginTop: '20px',paddingLeft:'50px' }}>
                                <Col span={2}>微信：</Col>
                                	<Col span={8}>
                                    <Input value={this.state.newwechat}
                                        onChange={(e) => { this.setState({ newwechat: e.target.value }) }} />
                                </Col>
                                <Col span={2} style={{ marginLeft: '50px' }}>Q Q：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newqq}
                                        onChange={(e) => { this.setState({ newqq: e.target.value }) }} />
                                </Col>
                            </Row>
                            <Row style={{ marginTop: '20px' ,paddingLeft:'50px'}}>
                        		<Col span={2}>部门：</Col>
                        		<Col span={8}>
                           		 	<Input value={this.state.newdepatrment}
                               		 onChange={(e) => { this.setState({ newdepatrment: e.target.value }) }} />
                                </Col>
                                <Col span={2} style={{ marginLeft: '50px' }}>职位：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newposition}
                                        onChange={(e) => { this.setState({ newposition: e.target.value }) }} />
                                </Col>
                            </Row>	
                            <Row style={{ marginTop: '20px',paddingLeft:'50px' }}>						                       
                                <Col span={2}>邮箱：</Col>
                                <Col span={8}>
                                    <Input value={this.state.newemail}
                                        onChange={(e) => { this.setState({ newemail: e.target.value }) }} />
                                </Col>
                            </Row>
                            <Row style={{ marginTop: '20px',paddingLeft:'50px' ,marginBottom:'50px'}}>
                          <Button className="set-submit" type="primary" htmlType="submit"  id="change_keep" style={{marginLeft:'60px'}}>保存</Button>
			              <Button className="set-submit" type="ghost" onClick={this.addcontactModulcancel} id='change_rem'>取消</Button>
			            	</Row>
			            </Spin>
			        </Form>   
			    </Modal>
			    <Modal	
				      footer=''
			          title="业务意向详情"
			          width='1000px'
			          visible={this.state.businessModul}
			          onOk={this.businessIntentionOk}
					  onCancel={this.businessIntentionCancel}							          							          
			        >				    
					    <div className="clearfix">
			    			<Form horizontal id="demand-form" onSubmit={this.passworldSubmit}>
			    				<Spin spinning={this.state.loading}>
			    					<div className="clearfix">
				    					<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="意向业务名称" >
					                        <span>{getCompanyIntention(this.state.businessGlossoryId)}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="意向时间" >
					                        <span>{this.state.createTime}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="客户姓名" >
					                        <span>{this.state.identifyName}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="营销员" >
					                        <span>{this.state.adminName}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="意向业务进度" >
					                        <span>{getfllowSituation(this.state.followSituation)}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="业务客户状态" >
					                        <span>{getcustomerStatue(this.state.customerStatus)}</span>
					                    </FormItem>
					                </div>
				                    <div className="clearfix">
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="业务意向说明" >
					                        <span>{this.state.remarks}</span>
					                    </FormItem>
			                        </div>
			                        <div className="clearfix">
			                        	<div style={{fontSize:'18px',lineHeight:'24px',marginBottom:'10px'}}>业务跟进</div>
			                        	<div className="clearfix">
		                    			    <Spin spinning={this.state.loading}>
										      <Table 
								            	 pagination={this.state.paginations}
								            	 columns={this.state.businessFollowList} 
								            	 dataSource={this.state.visitArrList}
								            	 />
										    </Spin> 
										</div>	
			                        </div>
				                </Spin>
							</Form>                  
						</div>	                    
    			</Modal>
    			<Modal	
				      footer=''
			          title="业务跟进详情"
			          width='600px'
			          visible={this.state.businessFollowModul}
			          onOk={this.businessFollowOk}
					  onCancel={this.businessFollowCancel}							          							          
			        >				    
					    <div className="clearfix">
			    			<Form horizontal id="demand-form" onSubmit={this.passworldSubmit}>
			    				<Spin spinning={this.state.loading}>
			    					<div className="clearfix">
				    					<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="意向业务名称" >
					                        <span>{getCompanyIntention(this.state.businessGlossoryIds)}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="意向时间" >
					                        <span>{this.state.createTimes}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="客户姓名" >
					                        <span>{this.state.identifyNames}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="营销员" >
					                        <span>{this.state.adminNames}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="意向业务进度" >
					                        <span>{getfllowSituation(this.state.followSituations)}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="业务客户状态" >
					                        <span>{getcustomerStatue(this.state.customerStatuss)}</span>
					                    </FormItem>
					                </div>
				                    <div className="clearfix">
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="业务意向说明" >
					                        <span>{this.state.remarkss}</span>
					                    </FormItem>
			                        </div>
			                        <div className="clearfix">
			                        	<div style={{fontSize:'18px',lineHeight:'30px'}}>拜访情况</div>
			                        	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="拜访方式" >
					                        <span>{getContactType(this.state.contactTypes)}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="联系人" >
					                        <span>{this.state.contactss}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="联系电话" >
					                        <span>{this.state.contactMobiles}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="拜访时间" >
					                        <span>{this.state.followTimes}</span>
					                    </FormItem>
					                    <FormItem className="half-item"
					                            {...formItemLayout}
					                            label="拜访人" >
					                        <span>{this.state.adminNames}</span>
					                    </FormItem> 
					                    <div className="clearfix">
					                    	<FormItem className="half-item"
					                            {...formItemLayout}
					                            label="拜访备注" >
					                        <span>{this.state.results}</span>
					                    </FormItem>
					                    </div>
			                        </div>
				                </Spin>
							</Form>                  
						</div>	                    
    			</Modal>
          </div >
		);
	}
}));

export default QueryCustomer;
